Description: SQLite3 3.37.0+ use uppercase column type names
 Starting with SQLite3 3.37.0 it stores column type names as a value and
 always displayed in uppercase letters.
 Previously it stored type names as text with the same case as it was given.
 This breaks testing where the column type is defined in lowercase and
 expects it to be given back as-is.
 Since tests expect types in lowercase, convert before testing.
Author: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Forwarded: no
Last-Update: 2022-01-13

---

--- golang-github-facebook-ent-0.5.4.orig/dialect/sql/schema/sqlite.go
+++ golang-github-facebook-ent-0.5.4/dialect/sql/schema/sqlite.go
@@ -281,7 +281,7 @@ func (d *SQLite) scanColumn(c *Column, r
 	if err != nil {
 		return err
 	}
-	switch parts[0] {
+	switch strings.ToLower(parts[0]) {
 	case "bool", "boolean":
 		c.Type = field.TypeBool
 	case "blob":
